## Index

### Classes

- Metadata

### Interfaces

- Key
- ModelMetadata
- PropertyMetadata
- TypeInfo

### Functions

- metadataForModel

## Functions

### metadataForModel

- metadataForModel<T>(modelConstructor: ModelConstructor<T>): Metadata<T>

- - Defined in decorator/metadata/metadata-for-model.function.ts:10

  create the metadata wrapper instance for a @Model() decorated class.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns Metadata<T>